> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Enables a banner.

POST https://app.unleash-instance.example.com/api/admin/banners/{id}/on

**Enterprise feature**

Enables an existing banner, identified by its id.

Reference: https://docs.getunleash.io/api/enable-banner

## Authentication

- `Authorization` header (required) — API key needed to access this API
- `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

bannerSchema

- `id` (integer, required) — The banner's ID. Banner IDs are incrementing integers. In other words, a more recently created banner will always have a higher ID than an older one.
- `message` (string, required) — The message to display to all users. Supports markdown.
- `createdAt` (string, required) — The date and time of when the banner was created.
- `enabled` (boolean, optional) — Whether the banner should be displayed currently. If not specified, defaults to true.
- `variant` (string, optional) — The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info".
- `sticky` (boolean, optional) — Whether the banner should be sticky on the screen. If not specified, defaults to `false`.
- `icon` (string, optional, nullable) — The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If "none", no icon will be displayed.
- `link` (string, optional, nullable) — The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: "https://example.com" or relative: "/admin/service-accounts"). If "dialog", will display a dialog when clicked. If not specified, no link will be displayed.
- `linkText` (string, optional, nullable) — The text to display on the link. If not specified, will be displayed as "More info".
- `dialogTitle` (string, optional, nullable) — The title to display on the dialog. If not specified, this will be the same as `linkText`.
- `dialog` (string, optional, nullable) — The markdown to display on the dialog. If not specified, no dialog will be displayed.

## Examples

**Response**

```json
{
  "id": 7,
  "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.",
  "createdAt": "2023-12-27T13:37:00+01:00",
  "enabled": true,
  "variant": "info",
  "sticky": true,
  "icon": "build",
  "link": "dialog",
  "linkText": "Learn more",
  "dialogTitle": "Learn more about it here",
  "dialog": "# Information\n\nMaintenance is **scheduled**.\n\n## More details\n\nThis is an example dialog that supports Markdown."
}
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/banners/id/on"

headers = {"Authorization": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/banners/id/on';
const options = {method: 'POST', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/banners/id/on"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/banners/id/on")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.unleash-instance.example.com/api/admin/banners/id/on")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.unleash-instance.example.com/api/admin/banners/id/on', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/banners/id/on");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/banners/id/on")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```